"use strict";
exports.__esModule = true;
var graceful_fs_1 = require("graceful-fs");
exports.createWriteStream = graceful_fs_1.createWriteStream;
exports.unlink = function (path) {
    return new Promise(function (resolve, reject) {
        graceful_fs_1.unlink(path, function (err) {
            if (err && err.message.indexOf('ENOENT') === -1) {
                reject(err);
            }
            else {
                resolve();
            }
        });
    });
};
exports.writeFile = function (path, contents, options) {
    return new Promise(function (resolve, reject) {
        graceful_fs_1.writeFile(path, contents, options, function (err) { return (err ? reject(err) : resolve()); });
    });
};
